# UniKit

**UniKit** is a versatile Python library offering a collection of generic classes and utilities designed to simplify 
common development tasks. Whether you're building a small application or a large-scale system, UniKit provides 
reusable tools that can streamline your code, making it more robust and maintainable.

## Features

- **Dependency Injection**: Simple and intuitive DI framework to manage object lifecycles.
- **Object Registries**: Easily create registries for managing arbitrary objects and services.
- **String Parsing Utilities**: Tools for manipulating and parsing strings efficiently.

## Installation

You can install UniKit via pip:

```bash
pip install unikit
```

## Contributing
Contributions are welcome! If you have ideas or find bugs, feel free to open an issue or submit a pull request.

## License
UniKit is licensed under the MIT License. See LICENSE for more details.
